/*
  mainwindow.h
  Copyright (C) 2008 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of WifiConnect.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __MAINWINDOW_H__
#define __MAINWINDOW_H__

#include <qhbox.h>

class QListView;

class MainWindow : public QHBox
{
	Q_OBJECT
  public:
	MainWindow( QWidget *parent =0, const char *name = 0, WFlags fl = 0);
	~MainWindow();

	QListView *setting_list;

	void reloadItems();

  public slots:
	void configPress(void);
	void connectPress(void);
};

#endif // __MAINWINDOW_H__
